<?xml version="1.0" encoding="UTF-8"?>
<testsuite name="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" tests="3" skipped="0" failures="0" errors="0" timestamp="2025-10-23T12:58:06.552Z" hostname="devserver3" time="7.308">
  <properties/>
  <testcase name="givenOpdsFeed_whenLoadOpdsFeed_thenFlowWillLoadIt[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="3.104"/>
  <testcase name="givenOpdsFeedLoaded_whenLoadedAgain_thenDataIsLoadedAndNetworkResponseIsNotModified[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.146"/>
  <testcase name="givenOpdsPublication_whenLoadedThenWillEmitFlow[jvm]" classname="world.respect.datalayer.repository.opds.OpdsRespectRepositoryIntegrationTest" time="2.056"/>
  <system-out><![CDATA[port = 37499
14:58:06,594 |-INFO in ch.qos.logback.classic.LoggerContext[default] - This is logback-classic version 1.5.18
14:58:06,594 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3a3e78f - No custom configurators were discovered as a service.
14:58:06,594 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3a3e78f - Trying to configure with ch.qos.logback.classic.joran.SerializedModelConfigurator
14:58:06,595 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3a3e78f - Constructed configurator of type class ch.qos.logback.classic.joran.SerializedModelConfigurator
14:58:06,598 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.scmo]
14:58:06,598 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback.scmo]
14:58:06,602 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3a3e78f - ch.qos.logback.classic.joran.SerializedModelConfigurator.configure() call lasted 3 milliseconds. ExecutionStatus=INVOKE_NEXT_IF_ANY
14:58:06,602 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3a3e78f - Trying to configure with ch.qos.logback.classic.util.DefaultJoranConfigurator
14:58:06,603 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3a3e78f - Constructed configurator of type class ch.qos.logback.classic.util.DefaultJoranConfigurator
14:58:06,604 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Could NOT find resource [logback-test.xml]
14:58:06,606 |-INFO in ch.qos.logback.classic.LoggerContext[default] - Found resource [logback.xml] at [jar:file:/home/jenkins/.jenkins/workspace/bug-fixes-person-end-to-end-tests/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml]
14:58:06,607 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@301ec38b - Resource [logback.xml] occurs multiple times on the classpath.
14:58:06,607 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@301ec38b - Resource [logback.xml] occurs at [jar:file:/home/jenkins/.jenkins/workspace/bug-fixes-person-end-to-end-tests/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml]
14:58:06,607 |-WARN in ch.qos.logback.classic.util.DefaultJoranConfigurator@301ec38b - Resource [logback.xml] occurs at [file:/home/jenkins/.jenkins/workspace/bug-fixes-person-end-to-end-tests/respect-datalayer-repository/build/processedResources/jvm/test/logback.xml]
14:58:06,610 |-INFO in ConfigurationWatchList(mainURL=jar:file:/home/jenkins/.jenkins/workspace/bug-fixes-person-end-to-end-tests/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml, fileWatchList={}, urlWatchList=[}) - URL [jar:file:/home/jenkins/.jenkins/workspace/bug-fixes-person-end-to-end-tests/respect-server/build/libs/respect-server-1.0.0.jar!/logback.xml] is not of type file
14:58:06,666 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@112f364d - value "./log/" substituted for "${logs_dir:-./log/}"
14:58:06,667 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - Processing appender named [FILE]
14:58:06,667 |-INFO in ch.qos.logback.core.model.processor.AppenderModelHandler - About to instantiate appender of type [ch.qos.logback.core.rolling.RollingFileAppender]
14:58:06,670 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@112f364d - value "./log//respect-server.log" substituted for "${LOG_DIR}/respect-server.log"
14:58:06,672 |-INFO in ch.qos.logback.core.model.processor.ModelInterpretationContext@112f364d - value "./log//respect-server.%d{yyyy-MM-dd}.%i.log" substituted for "${LOG_DIR}/respect-server.%d{yyyy-MM-dd}.%i.log"
14:58:06,677 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1556867940 - No compression will be used
14:58:06,687 |-INFO in c.q.l.core.rolling.TimeBasedRollingPolicy@1556867940 - Will use the pattern ./log//respect-server.%d{yyyy-MM-dd}.%i.log for the active file
14:58:06,687 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@6d9f7a80 - SizeAndTimeBasedFNATP class was renamed as SizeAndTimeBasedFileNamingAndTriggeringPolicy.
14:58:06,688 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@6d9f7a80 - The date pattern is 'yyyy-MM-dd' from file name pattern './log//respect-server.%d{yyyy-MM-dd}.%i.log'.
14:58:06,688 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@6d9f7a80 - Roll-over at midnight.
14:58:06,688 |-INFO in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@6d9f7a80 - Setting initial period to 2025-10-23T12:58:06.688Z
14:58:06,688 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@6d9f7a80 - Direct use of either SizeAndTimeBasedFNATP or SizeAndTimeBasedFileNamingAndTriggeringPolicy 
14:58:06,688 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@6d9f7a80 - is deprecated. Please use SizeAndTimeBasedRollingPolicy instead.
14:58:06,688 |-WARN in ch.qos.logback.core.rolling.SizeAndTimeBasedFNATP@6d9f7a80 - For more information see https://logback.qos.ch/manual/appenders.html#SizeAndTimeBasedRollingPolicy
14:58:06,690 |-INFO in ch.qos.logback.core.model.processor.ImplicitModelHandler - Assuming default type [ch.qos.logback.classic.encoder.PatternLayoutEncoder] for [encoder] property
14:58:06,705 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - Active log file name: ./log//respect-server.log
14:58:06,705 |-INFO in ch.qos.logback.core.rolling.RollingFileAppender[FILE] - File property is set to [./log//respect-server.log]
14:58:06,706 |-INFO in ch.qos.logback.classic.model.processor.RootLoggerModelHandler - Setting level of ROOT logger to TRACE
14:58:06,706 |-INFO in ch.qos.logback.core.model.processor.AppenderRefModelHandler - Attaching appender named [FILE] to Logger[ROOT]
14:58:06,707 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [org.eclipse.jetty] to INFO
14:58:06,707 |-INFO in ch.qos.logback.classic.model.processor.LoggerModelHandler - Setting level of logger [io.netty] to INFO
14:58:06,707 |-INFO in ch.qos.logback.core.model.processor.DefaultProcessor@59252cb6 - End of configuration.
14:58:06,707 |-INFO in ch.qos.logback.classic.joran.JoranConfigurator@31d0e481 - Registering current configuration as safe fallback point
14:58:06,707 |-INFO in ch.qos.logback.classic.util.ContextInitializer@3a3e78f - ch.qos.logback.classic.util.DefaultJoranConfigurator.configure() call lasted 104 milliseconds. ExecutionStatus=DO_NOT_INVOKE_NEXT_IF_ANY

]]></system-out>
  <system-err><![CDATA[]]></system-err>
</testsuite>
